diff -ruN vdr-1.7.9/CONTRIBUTORS vdr-1.7.10/CONTRIBUTORS
--- vdr-1.7.9/CONTRIBUTORS	2009-08-16 17:32:39.000000000 +0200
+++ vdr-1.7.10/CONTRIBUTORS	2009-11-22 15:29:33.000000000 +0100
@@ -1,7 +1,7 @@
 Tons of suggestions, bugreports, patches and other contributions have been
 provided by the people on the 'linux-dvb' and 'vdr' mailing lists
 Special thanks go to the following individuals (if your name is missing here,
-please send an email to kls@cadsoft.de):
+please send an email to kls@tvdr.de):
 
 Carsten Koch <Carsten.Koch@icem.de>
  for adding LIRC support
@@ -526,7 +526,7 @@
 Onno Kreuzinger <ok@solutas.net>
  for reporting leftover references to the file FORMATS in MANUAL and svdrp.c
 
-Rudi Hofer (Rudi.Hofer@cadsoft.de)
+Rudi Hofer (Rudi.Hofer@gmx.de)
  for his help in keeping 'channels.conf' up to date
 
 Gregoire Favre <greg@ulima.unil.ch>
@@ -1081,6 +1081,8 @@
  for adding a note about the meaning of PERCENTAGEDELTA in cRingBuffer::UpdatePercentage()
  for fixing handling file name length on VFAT systems in case they
  contain UTF-8 characters
+ for fixing wrong bracketing in cChannel::SubtitlingType() etc.
+ for fixing handling DVB subtitles for PES recordings
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
@@ -1573,6 +1575,7 @@
  for fixing a missing ',' in the Greek OSD texts
  for fixing a missing ',' in the Swedish OSD texts
  for reporting problems with CAMs when checking the CAM status too frequently
+ for reporting references to old *.vdr file names in MANUAL
 
 Milos Kapoun <m.kapoun@cra.cz>
  for suggesting to skip code table info in SI data
@@ -2270,6 +2273,7 @@
  for fixing handling the 'pointer field' in generating and parsing PAT/PMT
  for suggesting to use an "instance id" instead of the "resume id" to distinguish
  recordings of the same broadcast made by different instances of VDR
+ for fixing EntriesOnSameFileSystem() to avoid using f_fsid, which may be 0
 
 Jörn Reder <joern@zyn.de>
  for reporting that a recording may unnecessarily block a device with a CAM, while
@@ -2361,6 +2365,7 @@
 
 Diego Pierotto <vdr-italian@tiscali.it>
  for translating OSD texts to the Italian language
+ for reporting a wrong default value for "Pause key handling" in the MANUAL
 
 Timo Eskola <timo@tolleri.net>
  for implementing sending all frames to devices that can handle them in fast forward
@@ -2489,3 +2494,23 @@
 
 Mikko Tuumanen <mikko.tuumanen@utu.fi>
  for implementing full handling of subtitling descriptors
+
+Timothy D. Lenz <tlenz@vorgon.com>
+ for reporting a problem with logging changes for channels that
+ have no number
+
+Valdemaras Pipiras <valdemaras@ambernet.lt>
+ for translating OSD texts to the Lithuanian language
+
+Manuel Reimer <Manuel.Reimer@gmx.de>
+ for fixing saving terminal settings when running in background
+
+Rene van den Braken <rene@vandenbraken.name>
+ for reporting a bug in writing the PCR pid into the PMT in
+ cPatPmtGenerator::GeneratePmt()
+
+Milan Hrala <hrala.milan@gmail.com>
+ for translating OSD texts to the Slovakian language
+
+Andreas Schaefers <andreas_schaefers@gmx.de>
+ for adding the audio id to the call of PlayAudio() in cDevice::PlayTsAudio()
diff -ruN vdr-1.7.9/HISTORY vdr-1.7.10/HISTORY
--- vdr-1.7.9/HISTORY	2009-08-23 15:21:39.000000000 +0200
+++ vdr-1.7.10/HISTORY	2009-11-22 15:29:14.000000000 +0100
@@ -922,7 +922,7 @@
   give the user some feedback in case this takes longer.
 - Status messages are now displayed centered.
 - Removed the 'Tools' subdirectory from the VDR archive. All contributed tools
-  can now be found at ftp://ftp.cadsoft.de/pub/people/kls/vdr/Tools.
+  can now be found at ftp://ftp.tvdr.de/vdr/Tools.
 
 2002-01-29: Version 0.99pre3
 
@@ -5839,14 +5839,14 @@
   DVB API in the kernel (based on patches from Igor M. Liplianin, Niels Wagenaar
   and Edgar Hucek). VDR now uses the S2API driver from http://linuxtv.org/hg/v4l-dvb.
   In order to correctly detect DVB-S2 capable devices, you need to apply the patch
-  from ftp://ftp.cadsoft.de/vdr/Developer/v4l-dvb-s2api-add-s2-capability.diff to
+  from ftp://ftp.tvdr.de/vdr/Developer/v4l-dvb-s2api-add-s2-capability.diff to
   the driver source, because the S2API doesn't provide a way of telling whether a
   device can handle DVB-S2 transponders.
 - The cDvbTuner::IsTunedTo() function now also checks the symbol rate in case of
   DVB-S and DVB-C.
 - Improved handling PES video packets with zero length when converting from TS to PES.
   For good replay in Transfer Mode on full featured DVB cards you may want to apply
-  the patch from ftp://ftp.cadsoft.de/vdr/Developer/av7110_v4ldvb_api5_audiobuf_test_1.diff
+  the patch from ftp://ftp.tvdr.de/vdr/Developer/av7110_v4ldvb_api5_audiobuf_test_1.diff
   to the driver (thanks to Oliver Endriss).
 
 2009-01-06: Version 1.7.3
@@ -5918,7 +5918,7 @@
   flag is now in the driver, anyway.
 - The full-featured DVB cards are now given the TS data directly for replay
   (thanks to Oliver Endriss for enhancing the av7110 driver to make it replay
-  TS data). The patch from ftp://ftp.cadsoft.de/vdr/Developer/av7110_ts_replay__1.diff
+  TS data). The patch from ftp://ftp.tvdr.de/vdr/Developer/av7110_ts_replay__1.diff
   implements this change in the driver.
   The patch av7110_v4ldvb_api5_audiobuf_test_1.diff mentioned in version 1.7.2
   is still necessary to avoid audio and video glitches on some channels.
@@ -6156,3 +6156,43 @@
 - Increased the value of MAXFRAMESIZE to better suit HD recordings (thanks to
   Reinhard Nissl).
 - Implemented full handling of subtitling descriptors (thanks to Mikko Tuumanen).
+
+2009-11-22: Version 1.7.10
+
+- Updated the Italian OSD texts (thanks to Diego Pierotto).
+- Fixed wrong bracketing in cChannel::SubtitlingType() etc.
+  (thanks to Rolf Ahrenberg).
+- Fixed not logging changes for channels that have no number
+  (reported by Timothy D. Lenz).
+- Changed the project's URLs and email to tvdr.de.
+- Added Lithuanian language translations (thanks to Valdemaras Pipiras).
+- Updated Chinese language texts (thanks to Nan Feng).
+- Only checking DVB_API_VERSION to be >=5 in order to stay compileable in case
+  the DVB API version number is increased (the API claims to always be backward
+  compatible).
+- Fixed saving terminal settings when running in background (thanks to Manuel
+  Reimer).
+- Fixed cFrameDetector::Analyze() to handle video streams where the frame type
+  is not detectable from the first TS packet of a frame.
+- Fixed writing the PCR pid into the PMT in cPatPmtGenerator::GeneratePmt()
+  (reported by Rene van den Braken).
+- Added Slovakian language texts (thanks to Milan Hrala).
+- Fixed EntriesOnSameFileSystem() to avoid using f_fsid, which may be 0 (thanks
+  to Frank Schmirler).
+- Fixed starting a recording at an I-frame.
+- Fixed generating the index for recordings from channels that put a whole
+  GOP into one payload unit.
+- The index file for TS recordings is now regenerated on-the-fly if a
+  recording is replayed that has no index. This can also be used to
+  re-create a broken index file by manually deleting the index file and then
+  replaying the recording (at least until the index file has been generated).
+- The cRingBufferLinear::Read() function now returns -1 and sets errno to
+  EAGAIN if the buffer is already full.
+- Fixed handling DVB subtitles for PES recordings (thanks to Rolf Ahrenberg).
+- Added the audio id to the call of PlayAudio() in cDevice::PlayTsAudio()
+  (thanks to Andreas Schaefers).
+- Fixed references to old *.vdr file names in MANUAL (reported by Arthur Konovalov).
+- Reverted "Removed limitation to PAL resolution from SPU handling" because it
+  cause nothing but trouble. Besides, the core VDR doesn't use this, anyway.
+- Fixed the default value for "Pause key handling" in the MANUAL (reported by
+  Diego Pierotto).
diff -ruN vdr-1.7.9/INSTALL vdr-1.7.10/INSTALL
--- vdr-1.7.9/INSTALL	2009-04-25 16:19:15.000000000 +0200
+++ vdr-1.7.10/INSTALL	2009-10-18 16:13:00.000000000 +0200
@@ -47,7 +47,7 @@
 the default:
 
   REMOTE=RCU    control via the "Remote Control Unit" receiver
-                (see http://www.cadsoft.de/vdr/remote.htm)
+                (see http://www.tvdr.de/remote.htm)
   REMOTE=LIRC   control via the "Linux Infrared Remote Control"
                 (see http://www.lirc.org)
 
diff -ruN vdr-1.7.9/MANUAL vdr-1.7.10/MANUAL
--- vdr-1.7.9/MANUAL	2009-05-21 13:28:41.000000000 +0200
+++ vdr-1.7.10/MANUAL	2009-11-22 15:28:15.000000000 +0100
@@ -748,7 +748,7 @@
   Pause priority = 10    The Priority and Lifetime values used when pausing live
   Pause lifetime = 1     video.
 
-  Pause key handling = 3 Defines what happens if the Pause key on the remote control
+  Pause key handling = 2 Defines what happens if the Pause key on the remote control
                          is pressed during live tv.
                          0 = do not pause live video
                          1 = confirm pause live video
@@ -804,7 +804,7 @@
                          During the actual editing process VDR writes the result
                          into files that may grow up to MaxVideoFileSize. If you
                          prefer to have each marked sequence stored in a separate
-                         file (named 001.vdr, 002.vdr, ...) you can set this
+                         file (named 00001.ts, 00002.ts, ...) you can set this
                          option to 'yes'.
 
   Replay:
@@ -819,8 +819,8 @@
   Resume ID = 0          Defines an additional ID that can be used in a multi user
                          environment, so that every user has his/her own resume
                          files for each recording. The valid range is 0...99, with
-                         0 resulting in a file named 'resume.vdr', and any other
-                         value resulting in 'resume.n.vdr'.
+                         0 resulting in a file named 'resume', and any other
+                         value resulting in 'resume.n'.
 
   Miscellaneous:
 
diff -ruN vdr-1.7.9/Makefile vdr-1.7.10/Makefile
--- vdr-1.7.9/Makefile	2008-12-24 16:21:09.000000000 +0100
+++ vdr-1.7.10/Makefile	2009-10-18 15:59:25.000000000 +0200
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 2.3 2008/12/24 15:21:09 kls Exp $
+# $Id: Makefile 2.4 2009/10/18 13:59:25 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -110,7 +110,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@cadsoft.de>' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@tvdr.de>' -o $@ $^
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
diff -ruN vdr-1.7.9/PLUGINS/src/hello/Makefile vdr-1.7.10/PLUGINS/src/hello/Makefile
--- vdr-1.7.9/PLUGINS/src/hello/Makefile	2008-01-13 13:59:58.000000000 +0100
+++ vdr-1.7.10/PLUGINS/src/hello/Makefile	2009-10-18 16:00:07.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.0 2008/01/13 12:59:58 kls Exp $
+# $Id: Makefile 2.1 2009/10/18 14:00:07 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -79,7 +79,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@cadsoft.de>' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@tvdr.de>' -o $@ $^
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
diff -ruN vdr-1.7.9/PLUGINS/src/hello/README vdr-1.7.10/PLUGINS/src/hello/README
--- vdr-1.7.9/PLUGINS/src/hello/README	2007-08-12 13:07:37.000000000 +0200
+++ vdr-1.7.10/PLUGINS/src/hello/README	2009-10-18 16:16:38.000000000 +0200
@@ -1,10 +1,10 @@
 This is a "plugin" for the Video Disk Recorder (VDR).
 
-Written by:                  Klaus Schmidinger <kls@cadsoft.de>
+Written by:                  Klaus Schmidinger <kls@tvdr.de>
 
-Project's homepage:          www.cadsoft.de/people/kls/vdr
+Project's homepage:          http://www.tvdr.de
 
-Latest version available at: www.cadsoft.de/people/kls/vdr/software.htm
+Latest version available at: http://www.tvdr.de
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff -ruN vdr-1.7.9/PLUGINS/src/osddemo/README vdr-1.7.10/PLUGINS/src/osddemo/README
--- vdr-1.7.9/PLUGINS/src/osddemo/README	2007-08-12 13:08:12.000000000 +0200
+++ vdr-1.7.10/PLUGINS/src/osddemo/README	2009-10-18 16:02:34.000000000 +0200
@@ -1,10 +1,10 @@
 This is a "plugin" for the Video Disk Recorder (VDR).
 
-Written by:                  Klaus Schmidinger <kls@cadsoft.de>
+Written by:                  Klaus Schmidinger <kls@tvdr.de>
 
-Project's homepage:          http://www.cadsoft.de/vdr
+Project's homepage:          http://www.tvdr.de
 
-Latest version available at: http://www.cadsoft.de/vdr
+Latest version available at: http://www.tvdr.de
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff -ruN vdr-1.7.9/PLUGINS/src/pictures/Makefile vdr-1.7.10/PLUGINS/src/pictures/Makefile
--- vdr-1.7.9/PLUGINS/src/pictures/Makefile	2008-01-13 14:00:04.000000000 +0100
+++ vdr-1.7.10/PLUGINS/src/pictures/Makefile	2009-10-18 16:02:41.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.0 2008/01/13 13:00:04 kls Exp $
+# $Id: Makefile 2.1 2009/10/18 14:02:41 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -79,7 +79,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@cadsoft.de>' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@tvdr.de>' -o $@ $^
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
diff -ruN vdr-1.7.9/PLUGINS/src/pictures/README vdr-1.7.10/PLUGINS/src/pictures/README
--- vdr-1.7.9/PLUGINS/src/pictures/README	2008-01-13 12:44:38.000000000 +0100
+++ vdr-1.7.10/PLUGINS/src/pictures/README	2009-10-18 16:16:41.000000000 +0200
@@ -1,10 +1,10 @@
 This is a "plugin" for the Video Disk Recorder (VDR).
 
-Written by:                  Klaus Schmidinger <kls@cadsoft.de>
+Written by:                  Klaus Schmidinger <kls@tvdr.de>
 
-Project's homepage:          www.cadsoft.de/vdr
+Project's homepage:          http://www.tvdr.de
 
-Latest version available at: www.cadsoft.de/vdr
+Latest version available at: http://www.tvdr.de
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff -ruN vdr-1.7.9/PLUGINS/src/servicedemo/README vdr-1.7.10/PLUGINS/src/servicedemo/README
--- vdr-1.7.9/PLUGINS/src/servicedemo/README	2007-08-12 13:08:15.000000000 +0200
+++ vdr-1.7.10/PLUGINS/src/servicedemo/README	2009-10-18 16:16:43.000000000 +0200
@@ -2,9 +2,9 @@
 
 Written by:                  Udo Richter <udo_richter@gmx.de>
 
-Project's homepage:          www.cadsoft.de/vdr
+Project's homepage:          http://www.tvdr.de
 
-Latest version available at: www.cadsoft.de/vdr
+Latest version available at: http://www.tvdr.de
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff -ruN vdr-1.7.9/PLUGINS/src/skincurses/Makefile vdr-1.7.10/PLUGINS/src/skincurses/Makefile
--- vdr-1.7.9/PLUGINS/src/skincurses/Makefile	2008-01-19 12:40:33.000000000 +0100
+++ vdr-1.7.10/PLUGINS/src/skincurses/Makefile	2009-10-18 16:03:30.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.0 2008/01/19 11:40:33 kls Exp $
+# $Id: Makefile 2.1 2009/10/18 14:03:30 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -79,7 +79,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@cadsoft.de>' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@tvdr.de>' -o $@ $^
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
diff -ruN vdr-1.7.9/PLUGINS/src/skincurses/README vdr-1.7.10/PLUGINS/src/skincurses/README
--- vdr-1.7.9/PLUGINS/src/skincurses/README	2007-08-12 13:08:16.000000000 +0200
+++ vdr-1.7.10/PLUGINS/src/skincurses/README	2009-10-18 16:16:45.000000000 +0200
@@ -1,10 +1,10 @@
 This is a "plugin" for the Video Disk Recorder (VDR).
 
-Written by:                  Klaus Schmidinger <kls@cadsoft.de>
+Written by:                  Klaus Schmidinger <kls@tvdr.de>
 
-Project's homepage:          www.cadsoft.de/vdr
+Project's homepage:          http://www.tvdr.de
 
-Latest version available at: www.cadsoft.de/vdr
+Latest version available at: http://www.tvdr.de
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff -ruN vdr-1.7.9/PLUGINS/src/sky/README vdr-1.7.10/PLUGINS/src/sky/README
--- vdr-1.7.9/PLUGINS/src/sky/README	2007-08-12 13:08:16.000000000 +0200
+++ vdr-1.7.10/PLUGINS/src/sky/README	2009-10-18 16:16:46.000000000 +0200
@@ -1,10 +1,10 @@
 This is a "plugin" for the Video Disk Recorder (VDR).
 
-Written by:                  Klaus Schmidinger <kls@cadsoft.de>
+Written by:                  Klaus Schmidinger <kls@tvdr.de>
 
-Project's homepage:          www.cadsoft.de/vdr
+Project's homepage:          http://www.tvdr.de
 
-Latest version available at: www.cadsoft.de/vdr
+Latest version available at: http://www.tvdr.de
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff -ruN vdr-1.7.9/PLUGINS/src/sky/getskyepg.pl vdr-1.7.10/PLUGINS/src/sky/getskyepg.pl
--- vdr-1.7.9/PLUGINS/src/sky/getskyepg.pl	2008-03-22 11:17:42.000000000 +0100
+++ vdr-1.7.10/PLUGINS/src/sky/getskyepg.pl	2009-10-18 16:05:47.000000000 +0200
@@ -8,7 +8,7 @@
 #
 # See the README file for copyright information and how to reach the author.
 #
-# $Id: getskyepg.pl 2.0 2008/03/22 10:17:42 kls Exp $
+# $Id: getskyepg.pl 2.1 2009/10/18 14:05:47 kls Exp $
 
 use Getopt::Std;
 use Time::Local;
@@ -35,10 +35,10 @@
 
 # See "Rules for using this data" on http://bleb.org/tv/data/listings.
 # In case you modify this script in a way that changes its behavior
-# towards the www.bleb.org website, please replace 'vdrbugs@cadsoft.de'
+# towards the www.bleb.org website, please replace 'vdr-bugs@tvdr.de'
 # with your own email address! That way Andrew Flegg <andrew@bleb.org>,
 # who runs that web site, can contact you in case of problems.
-$IDENT = "VDR::getskyepg.pl, http://www.cadsoft.de/vdr - vdrbugs\@cadsoft.de";
+$IDENT = "VDR::getskyepg.pl, http://www.tvdr.de - vdr-bugs\@tvdr.de";
 $GAP = 2;
 
 $SkyWebPage = "www.bleb.org/tv/data/listings";
diff -ruN vdr-1.7.9/PLUGINS/src/status/README vdr-1.7.10/PLUGINS/src/status/README
--- vdr-1.7.9/PLUGINS/src/status/README	2007-08-12 13:08:17.000000000 +0200
+++ vdr-1.7.10/PLUGINS/src/status/README	2009-10-18 16:16:48.000000000 +0200
@@ -1,10 +1,10 @@
 This is a "plugin" for the Video Disk Recorder (VDR).
 
-Written by:                  Klaus Schmidinger <kls@cadsoft.de>
+Written by:                  Klaus Schmidinger <kls@tvdr.de>
 
-Project's homepage:          www.cadsoft.de/people/kls/vdr
+Project's homepage:          http://www.tvdr.de
 
-Latest version available at: www.cadsoft.de/people/kls/vdr/software.htm
+Latest version available at: http://www.tvdr.de
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff -ruN vdr-1.7.9/PLUGINS/src/svdrpdemo/README vdr-1.7.10/PLUGINS/src/svdrpdemo/README
--- vdr-1.7.9/PLUGINS/src/svdrpdemo/README	2007-08-12 13:08:18.000000000 +0200
+++ vdr-1.7.10/PLUGINS/src/svdrpdemo/README	2009-10-18 16:06:27.000000000 +0200
@@ -1,10 +1,10 @@
 This is a "plugin" for the Video Disk Recorder (VDR).
 
-Written by:                  Klaus Schmidinger <Klaus.Schmidinger@cadsoft.de>
+Written by:                  Klaus Schmidinger <Klaus.Schmidinger@tvdr.de>
 
-Project's homepage:          http://www.cadsoft.de/vdr
+Project's homepage:          http://www.tvdr.de
 
-Latest version available at: http://www.cadsoft.de/vdr
+Latest version available at: http://www.tvdr.de
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff -ruN vdr-1.7.9/README vdr-1.7.10/README
--- vdr-1.7.9/README	2006-04-21 16:57:48.000000000 +0200
+++ vdr-1.7.10/README	2009-10-18 16:06:38.000000000 +0200
@@ -4,7 +4,7 @@
 These files contain the source code of the "Video Disk Recorder",
 which is based on the DVB driver of the LinuxTV project (http://linuxtv.org).
 For details about the "Video Disk Recorder" project please
-refer to http://www.cadsoft.de/vdr.
+refer to http://www.tvdr.de.
 
 There is also a remote control unit described on those
 Web pages, which can be used within this program.
@@ -17,7 +17,7 @@
 The CONTRIBUTORS file lists all the people who have contributed to the
 development of VDR.
 
-The author can be contacted at kls@cadsoft.de.
+The author can be contacted at kls@tvdr.de.
 
 Yet another "set-top box"?
 --------------------------
diff -ruN vdr-1.7.9/README.i18n vdr-1.7.10/README.i18n
--- vdr-1.7.9/README.i18n	2007-10-14 11:16:14.000000000 +0200
+++ vdr-1.7.10/README.i18n	2009-10-18 16:06:45.000000000 +0200
@@ -52,5 +52,5 @@
 
 Once you have created or updated a translation file, please
 send it to the maintainer of the respective plugin (in case
-it belongs to a plugin) or to kls@cadsoft.de (for core VDR
+it belongs to a plugin) or to kls@tvdr.de (for core VDR
 language files).
diff -ruN vdr-1.7.9/UPDATE-1.2.0 vdr-1.7.10/UPDATE-1.2.0
--- vdr-1.7.9/UPDATE-1.2.0	2003-05-30 15:46:54.000000000 +0200
+++ vdr-1.7.10/UPDATE-1.2.0	2009-10-18 16:06:58.000000000 +0200
@@ -10,7 +10,7 @@
 - Implemented a universal plugin interface. See the file PLUGINS.html
   for a detailed description. The man page vdr(1) describes the new options '-L'
   and '-P' used to load plugins.
-  See http://www.cadsoft.de/vdr/plugins.htm for a list of available plugins.
+  See http://www.tvdr.de/plugins.htm for a list of available plugins.
 - Rearranged the remote control key handling to allow plugins to implement
   additional types of remote controls (see PLUGINS.html, section "Remote Control").
   The previously used files 'keys.conf' and 'keys-pc.conf' have been replaced
diff -ruN vdr-1.7.9/channels.c vdr-1.7.10/channels.c
--- vdr-1.7.9/channels.c	2009-08-16 17:08:49.000000000 +0200
+++ vdr-1.7.10/channels.c	2009-08-30 13:25:50.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: channels.c 2.7 2009/08/16 15:08:49 kls Exp $
+ * $Id: channels.c 2.8 2009/08/30 11:25:50 kls Exp $
  */
 
 #include "channels.h"
@@ -508,7 +508,8 @@
      q = NewSpidsBuf;
      q += IntArrayToString(q, Spids, 10, SLangs);
      *q = 0;
-     dsyslog("changing pids of channel %d from %d+%d=%d:%s:%s:%d to %d+%d=%d:%s:%s:%d", Number(), vpid, ppid, vtype, OldApidsBuf, OldSpidsBuf, tpid, Vpid, Ppid, Vtype, NewApidsBuf, NewSpidsBuf, Tpid);
+     if (Number())
+        dsyslog("changing pids of channel %d from %d+%d=%d:%s:%s:%d to %d+%d=%d:%s:%s:%d", Number(), vpid, ppid, vtype, OldApidsBuf, OldSpidsBuf, tpid, Vpid, Ppid, Vtype, NewApidsBuf, NewSpidsBuf, Tpid);
      vpid = Vpid;
      ppid = Ppid;
      vtype = Vtype;
@@ -558,7 +559,8 @@
      char NewCaIdsBuf[MAXCAIDS * 5 + 10];
      IntArrayToString(OldCaIdsBuf, caids, 16);
      IntArrayToString(NewCaIdsBuf, CaIds, 16);
-     dsyslog("changing caids of channel %d from %s to %s", Number(), OldCaIdsBuf, NewCaIdsBuf);
+     if (Number())
+        dsyslog("changing caids of channel %d from %s to %s", Number(), OldCaIdsBuf, NewCaIdsBuf);
      for (int i = 0; i <= MAXCAIDS; i++) { // <= to copy the terminating 0
          caids[i] = CaIds[i];
          if (!CaIds[i])
@@ -574,7 +576,7 @@
   if (Level > 0) {
      modification |= CHANNELMOD_CA;
      Channels.SetModified();
-     if (Level > 1)
+     if (Number() && Level > 1)
         dsyslog("changing ca descriptors of channel %d", Number());
      }
 }
@@ -622,7 +624,8 @@
      }
   else
      q += sprintf(q, " none");
-  dsyslog(buffer);
+  if (Number())
+     dsyslog(buffer);
 }
 
 void cChannel::SetRefChannel(cChannel *RefChannel)
diff -ruN vdr-1.7.9/channels.h vdr-1.7.10/channels.h
--- vdr-1.7.9/channels.h	2009-08-16 16:58:26.000000000 +0200
+++ vdr-1.7.10/channels.h	2009-08-30 13:05:54.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: channels.h 2.5 2009/08/16 14:58:26 kls Exp $
+ * $Id: channels.h 2.6 2009/08/30 11:05:54 kls Exp $
  */
 
 #ifndef __CHANNELS_H
@@ -188,9 +188,9 @@
   const char *Alang(int i) const { return (0 <= i && i < MAXAPIDS) ? alangs[i] : ""; }
   const char *Dlang(int i) const { return (0 <= i && i < MAXDPIDS) ? dlangs[i] : ""; }
   const char *Slang(int i) const { return (0 <= i && i < MAXSPIDS) ? slangs[i] : ""; }
-  uchar SubtitlingType(int i) const { return (0 <= i && i < MAXSPIDS ? subtitlingTypes[i] : 0); }
-  uint16_t CompositionPageId(int i) const { return (0 <= i && i < MAXSPIDS ? compositionPageIds[i] : 0); }
-  uint16_t AncillaryPageId(int i) const { return (0 <= i && i < MAXSPIDS ? ancillaryPageIds[i] : 0); }
+  uchar SubtitlingType(int i) const { return (0 <= i && i < MAXSPIDS) ? subtitlingTypes[i] : 0; }
+  uint16_t CompositionPageId(int i) const { return (0 <= i && i < MAXSPIDS) ? compositionPageIds[i] : 0; }
+  uint16_t AncillaryPageId(int i) const { return (0 <= i && i < MAXSPIDS) ? ancillaryPageIds[i] : 0; }
   int Tpid(void) const { return tpid; }
   const int *Caids(void) const { return caids; }
   int Ca(int Index = 0) const { return Index < MAXCAIDS ? caids[Index] : 0; }
diff -ruN vdr-1.7.9/config.h vdr-1.7.10/config.h
--- vdr-1.7.9/config.h	2009-06-21 12:02:49.000000000 +0200
+++ vdr-1.7.10/config.h	2009-08-29 14:47:03.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 2.14 2009/06/21 10:02:49 kls Exp $
+ * $Id: config.h 2.15 2009/08/29 12:47:03 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -22,13 +22,13 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.7.9"
-#define VDRVERSNUM   10709  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.7.10"
+#define VDRVERSNUM   10710  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
 
-#define APIVERSION  "1.7.9"
-#define APIVERSNUM   10709  // Version * 10000 + Major * 100 + Minor
+#define APIVERSION  "1.7.10"
+#define APIVERSNUM   10710  // Version * 10000 + Major * 100 + Minor
 
 // When loading plugins, VDR searches them by their APIVERSION, which
 // may be smaller than VDRVERSION in case there have been no changes to
diff -ruN vdr-1.7.9/device.c vdr-1.7.10/device.c
--- vdr-1.7.9/device.c	2009-08-16 12:54:36.000000000 +0200
+++ vdr-1.7.10/device.c	2009-11-22 14:19:03.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: device.c 2.25 2009/08/16 10:54:36 kls Exp $
+ * $Id: device.c 2.26 2009/11/22 13:19:03 kls Exp $
  */
 
 #include "device.h"
@@ -1309,7 +1309,7 @@
   // Audio PES always has an explicit length and consists of single packets:
   int l;
   if (const uchar *p = tsToPesAudio.GetPes(l)) {
-     int w = PlayAudio(p, l, 0);
+     int w = PlayAudio(p, l, p[3]);
      if (w <= 0) {
         tsToPesAudio.SetRepeatLast();
         return w;
diff -ruN vdr-1.7.9/device.h vdr-1.7.10/device.h
--- vdr-1.7.9/device.h	2009-06-06 13:15:49.000000000 +0200
+++ vdr-1.7.10/device.h	2009-11-22 14:21:00.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: device.h 2.15 2009/06/06 11:15:49 kls Exp $
+ * $Id: device.h 2.16 2009/11/22 13:21:00 kls Exp $
  */
 
 #ifndef __DEVICE_H
@@ -514,9 +514,6 @@
        ///< Plays the given data block as audio.
        ///< Data points to exactly one complete PES packet of the given Length.
        ///< Id indicates the type of audio data this packet holds.
-       ///< Note that as of version 1.7.1 Id is obsolete and may be 0 (in case of
-       ///< TS replay). Plugins that need to know this Id shall read it from the
-       ///< actual PES data (it's the 4th byte).
        ///< PlayAudio() shall process the packet either as a whole (returning
        ///< Length) or not at all (returning 0 or -1 and setting 'errno' accordingly).
        ///< \return Returns the number of bytes actually taken from Data, or -1
diff -ruN vdr-1.7.9/dvbdevice.h vdr-1.7.10/dvbdevice.h
--- vdr-1.7.9/dvbdevice.h	2009-06-06 13:16:47.000000000 +0200
+++ vdr-1.7.10/dvbdevice.h	2009-10-25 14:58:20.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: dvbdevice.h 2.8 2009/06/06 11:16:47 kls Exp $
+ * $Id: dvbdevice.h 2.9 2009/10/25 13:58:20 kls Exp $
  */
 
 #ifndef __DVBDEVICE_H
@@ -16,8 +16,8 @@
 #include "device.h"
 #include "dvbspu.h"
 
-#if DVB_API_VERSION != 5 || DVB_API_VERSION_MINOR != 0
-#error VDR requires Linux DVB driver API version 5.0!
+#if DVB_API_VERSION < 5
+#error VDR requires Linux DVB driver API version 5.0 or higher!
 #endif
 
 #define MAXDVBDEVICES  8
